Package com.google.protobuf

# Class GeneratedMessageLite.SerializedForm

java.lang.Object
com.google.protobuf.GeneratedMessageLite.SerializedForm

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  GeneratedMessageLite<MessageType extends GeneratedMessageLite<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.Builder<MessageType,BuilderType>>

protected static final class GeneratedMessageLite.SerializedForm extends Object implements Serializable
A serialized (serializable) form of the generated message. Stores the message as a class name and a byte array.

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`static GeneratedMessageLite.SerializedForm`
`of(MessageLite message)`
`protected Object`
`readResolve()`
When read from an ObjectInputStream, this method converts this object back to the regular form.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### of

public static GeneratedMessageLite.SerializedForm of(MessageLite message)

### readResolve

protected Object readResolve() throws ObjectStreamException
When read from an ObjectInputStream, this method converts this object back to the regular form. Part of Java's serialization magic.

Returns:
  a GeneratedMessage of the type that was serialized
Throws:
  `ObjectStreamException`